import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::Cognito::UserPoolClient</code> resource specifies an Amazon Cognito user pool client.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cognito-userpoolclient.html">the AWS Docs</a>
*/
export function userPoolClient(userPoolClientProps) {
    return new AwsResource('AWS::Cognito::UserPoolClient', userPoolClientProps, { ClientSecret: 'ClientSecret', ClientId: 'ClientId', Name: 'Name' });
}
